import sys
import os
srcpath = os.path.abspath(os.path.join(os.getcwd(),'..','rtgmpy'))
if srcpath not in sys.path:
    sys.path.append(srcpath)
import matplotlib.pyplot as plt
plt.style.use('makdisi.mplstyle')

from RiskTargetedGMCalc import*
from HazCurveParser import*

# Getting hazard curve data
hazCurvePath = os.path.join(os.getcwd(),'hazard-curves/')

# Get IM labels
imLabels = [im for im in os.listdir(hazCurvePath) if '.' not in im]
# Parse site data from a given curves file
im = 'PGA'
curveDF = pd.read_csv(os.path.join(hazCurvePath,im,'curves-truncated.csv'))
siteDF =  curveDF[['name','lon','lat']]


# For a given site, generate a dictinoary for multiple IM hazard curves
site = 'Charleston SC'
CHS = hazardCurveData(hazCurvePath,siteDF)

CHS = hazardCurveData(hazCurvePath,siteDF)
hazD = CHS.compileSiteHazCurves('Charleston SC',imLabels)

haz = {}
# Site metadata
haz['site'] = {}
haz['site']['name'] = site
haz['site']['lat'] = float(siteDF.loc[siteDF['name']==site]['lat'])
haz['site']['lon'] = float(siteDF.loc[siteDF['name']==site]['lon'])
haz['site']['Vs30'] = 760.0

# IM information
haz['hazCurves'] = hazD['IM']

hazCurve = hazD['IM']['PGA']


# ## TEST CODE BLOCK FOR SINGLE-SITE ##
# siteName = 'Charleston SC'
# imLabel='PGA'
# PrC_tgt = 0.10
# beta = 0.60
# TR_UH = 2475
# T_yr = 50

# DEV = RiskTargetedGMCalc(siteName=siteName,
#                      imLabel = imLabel,
#                      hazCurve=hazCurve,
#                      retPeriod_UH=TR_UH,
#                      PrC_tgt=PrC_tgt,
#                      beta=beta,
#                     UH_yr=T_yr)

# DEV.compileData()


# DEV.upsample_hazard_curve()


# tgtRisk=0.01
# timeYrs=50
# DEV.calcRTGM(tgtRisk,timeYrs)