# Documentation: USGS Risk-Targeted Ground Motion Calculator

**`rtgmpy`** is a python-based library, developed by the U.S. Geological Survey ([USGS](https://www.usgs.gov)) for the calculation of risk-targeted ground motion values in accordance with "Method 2" of ASCE 7 Standard (Section 21.2.1.2) and AASHTO (section TBD). The code is maintained by the Engineering and Risk Project (ERP).

**`rtgmpy`** takes, as input from the user, one or more ground motion hazard curves obtained from site-specific probabilistic seismic hazard analyses (PSHA), and adjusts the uniform hazard ground motion values for a given return period for a selected target collapse probability (in accordance with the design standard specified by the user). The adjustment is performed iteratively using the basic algorithm outlined in [Luco et al. (2007)](#references).


## Table of Contents

#### [1. Background on Risk-Targeted Ground Motions](./pages/1-Background-on-RTGM.md)

#### [2. Procedure for Calculating Risk-Targeted Ground Motion Values](./pages/2-Risk-Targeted-Calc-Procedure.md)

#### [3. Python Code Usage](./pages/3-Code-Usage.md)

#### 4. Validation and Verification

### References
Luco, N., B.R. Ellingwood, R.O. Hamburger, J.D. Hooper, J.K. Kimball & C.A. Kircher (2007), "Risk-Targeted versus Current Seismic Design Maps for the Conterminous United States," Proceedings of the 2007 Structural Engineers Association of California Convention, Lake Tahoe, CA, pp. 163-175.
