""" Scripts for Poetry
"""

import os
import subprocess
import sys

from subprocess import check_call

_test_dir = "tests"
_python_dir = "rtgmpy"


def rtgm():
    args = sys.argv
    args.remove(args[0])
    check_call(["python", "-m",_python_dir]+args)

def format_check():
    # Check code format
    check_call(["isort", "--check", "--diff", _python_dir, _test_dir])
    check_call(["black", "--check", "--diff", _python_dir, _test_dir])


def format():
    # Format code
    check_call(["isort", _python_dir, _test_dir])
    check_call(["black", _python_dir, _test_dir])


def lint():
    # Lint code
    check_call(["flake8", _python_dir, _test_dir])
    

# def pre_push():
#     # Run lint and format check
#     format_check()
#     lint()


def test():
    # Run pytests
    check_call(["pytest", _test_dir])
